org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTParameterDeclaration

All Superinterfaces:
  IASTNode, IASTParameterDeclaration, ICPPASTTemplateParameter

    public interface ICPPASTParameterDeclaration
    extends ICPPASTTemplateParameter, IASTParameterDeclaration

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ICPPASTParameterDeclaration[]` `EMPTY_CPPPARAMETERDECLARATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTTemplateParameter

`EMPTY_TEMPLATEPARAMETER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTParameterDeclaration

`DECL_SPECIFIER, DECLARATOR, EMPTY_PARAMETERDECLARATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTParameterDeclaration` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTParameterDeclaration` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`ICPPASTDeclarator` `getDeclarator()` Returns the declarator.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTTemplateParameter

`isParameterPack`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTParameterDeclaration

`getDeclSpecifier, setDeclarator, setDeclSpecifier`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### EMPTY_CPPPARAMETERDECLARATION_ARRAY

    static final ICPPASTParameterDeclaration[] EMPTY_CPPPARAMETERDECLARATION_ARRAY

Since:
  5.2

### Method Detail

#### copy

    ICPPASTParameterDeclaration copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTParameterDeclaration`
Specified by:
  `copy` in interface `ICPPASTTemplateParameter`
Since:
  5.1

#### copy

    ICPPASTParameterDeclaration copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTParameterDeclaration`
Specified by:
  `copy` in interface `ICPPASTTemplateParameter`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3

#### getDeclarator

    ICPPASTDeclarator getDeclarator()

Description copied from interface: `IASTParameterDeclaration`
Returns the declarator.

Specified by:
  `getDeclarator` in interface `IASTParameterDeclaration`
Returns:
  `IASTDeclarator`
Since:
  5.2